Create Metering Assignment Strategy

Create Metering Assignment Strategy
Selecting the new pricing card assignment strategy,PROJECT or CLOUDZONE are possible values can be used while creating strategy. Also there can be only one strategy for a given org at a given point of time

Create a new pricing card assignment strategy based on request body and validate its field according to business rules.

Request
URI
POST
https://{vcfa-fqdn}/price/api/private/pricing-card-assignments/strategy
COPY
Request Body
MeteringAssignmentStrategy of type(s) application/json
Required  
{
    "entityType": "string"
}
string
entityType
Optional

Metering Policy Assignment entityType(Strategy)

Enumeration: ALL, PROJECT, CLOUDZONE
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MeteringAssignmentStrategy of type(s) application/json
{
    "entityType": "string"
}
string
entityType
Optional

Metering Policy Assignment entityType(Strategy)

Enumeration: ALL, PROJECT, CLOUDZONE

201

Created

Returns MeteringAssignmentStrategy of type(s) application/json
"MeteringAssignmentStrategy Object"
string
entityType
Optional

Metering Policy Assignment entityType(Strategy)

Enumeration: ALL, PROJECT, CLOUDZONE

401

Unauthorized

Returns MeteringAssignmentStrategy of type(s) application/json
"MeteringAssignmentStrategy Object"
string
entityType
Optional

Metering Policy Assignment entityType(Strategy)

Enumeration: ALL, PROJECT, CLOUDZONE

403

Forbidden

Returns MeteringAssignmentStrategy of type(s) application/json
"MeteringAssignmentStrategy Object"
string
entityType
Optional

Metering Policy Assignment entityType(Strategy)

Enumeration: ALL, PROJECT, CLOUDZONE

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/price/api/private/pricing-card-assignments/strategy